function validate() {
  $("#company").on("change", showHideCompany);

  $("#submit").on("click", function (ev) {
    ev.preventDefault();
    let isValid = true;

    const fieldsToValidate = [
      { selector: "#username", regex: /^[a-zA-Z0-9]{3,20}$/ },
      { selector: "#email", regex: /@.*\./ },
      { selector: "#password", regex: /^\w{5,15}$/ },
      {
        selector: "#confirm-password",
        regex: /^\w{5,15}$/,
        match: "#password",
      },
    ];

    fieldsToValidate.forEach(({ selector, regex, match }) => {
      const $field = $(selector);
      const value = $field.val();
      const $companyNumber = $("#companyNumber");

      if (!regex.test(value)) {
        $field.css("border-color", "red");
        isValid = false;
      } else {
        $field.css("border-color", "");
      }

      if (match && value !== $(match).val()) {
        $(match).css("border-color", "red");
        isValid = false;
      } else if (match) {
        $(match).css("border-color", "");
      }

      if (!isValid) $("#valid").hide();
    });

    if (
      $("#company").is(":checked") &&
      !/^[1-9]{1}[0-9]{3}$/.test($companyNumber.val())
    ) {
      $companyNumber.css("border-color", "red");
      isValid = false;
    } else {
      $companyNumber.css("border-color", "");
    }

    if (isValid) {
      $("#valid").show().text("Valid");
    }
  });

  function showHideCompany() {
    $("#companyInfo").toggle($(this).is(":checked"));
    $("#companyNumber").css("border-color", "");
  }
}

$(document).ready(validate);
